%define    name   hugo
%define    longname  Hu-Go!
%define    version   2.12
%define distsuffix plf
%define release %mkrel 6

Summary:   %{longname} - TurboGrafx 16/PC-Engine Emulator
Summary(fr): %{longname} - Emulateur PC-Engine/TurboGrafx 16
Name:      %{name}
Version:   %{version}
Release:   %{release}
BuildRequires: gtk+2-devel
BuildRequires: libSDL_net-devel
BuildRequires: autoconf2.5
Source0:   http://www.zeograd.com/download/%{name}-%{version}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Patch:	hugo-2.12-gcc4.patch.bz2
Patch2:	hugo-2.12-x86_64fix.patch
Group:     Emulators
License: GPL
URL:       http://www.zeograd.com/
BuildRoot: %_tmppath/%{name}-build

%description
Hu-go! is a TurboGrafx 16/PC-Engine Emulator.
There is some public domain roms you play with.
The other games need that you own the original
card or CD.

This package is in PLF as Mandriva doesn't like emulators.

%prep

%setup -q
%patch -p1
%patch2 -p1
autoconf

%build

./configure --prefix=%{buildroot}/%{_prefix} --bindir=%{buildroot}/%_gamesbindir --libdir=%{_libdir}

%make

%install
%makeinstall bindir=%{buildroot}/%_gamesbindir

install -D -m 644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %SOURCE2 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %SOURCE1 %{buildroot}%{_miconsdir}/%{name}.png

install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	section="More Applications/Emulators"\\
	icon="%{name}.png"\\
	title="Hugo"\\
	longtitle="%{longname}" xdg="true"
EOF
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Hugo
Comment=%longname
Exec=%_gamesbindir/hugo
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS README
%attr(0755,root,games) %{_gamesbindir}/%{name}
%{_gamesbindir}/hugod
%{_datadir}/applications/mandriva-%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/%{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sun Dec 16 2007 Guillaume Bedot <littletux@zarb.org> 2.12-6plf2008.1
- fix desktop file

* Tue Aug  1 2006 Gtz Waschk <goetz@zarb.org> 2.12-5plf2007.0
- xdg menu

* Mon Dec 19 2005 Gtz Waschk <goetz@zarb.org> 2.12-4plf
- fix directory conflict
- Rebuild

* Mon Nov  7 2005 Anssi Hannula <anssi@zarb.org> 2.12-3plf
- fix x86_64 build (patch2)
- distsuffix

* Mon Nov  7 2005 Gtz Waschk <goetz@zarb.org> 2.12-2plf
- fix buildrequires
- patch for gcc 4

* Sun Apr 10 2005 Guillaume Bedot <littletux@zarb.org> 2.12-1plf
- New release with some bug fixes :)

* Mon Mar 14 2005 Gtz Waschk <goetz@zarb.org> 2.11-1plf
- update file list
- fix buildrequires
- drop patches
- fix URL
- fix License
- new version

* Thu Feb 17 2005 Gtz Waschk <goetz@zarb.org> 2.10-4plf
- fix build

* Mon Jul 21 2003 Gtz Waschk <goetz@plf.zarb.org> 2.10-3plf
- buildrequires fix

* Fri Jul 18 2003 Gtz Waschk <goetz@plf.zarb.org> 2.10-2plf
- patch to fix build with current gcc
- quiet tar

* Thu Apr 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.10-1plf
- => plf
- games path
- somes minor fix

* Tue Mar 04 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 2.10-1mdk
- Update to 2.10.

* Tue Feb 25 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 2.10-0-20030225
- Update to latest CVS.
- Added menu entry and icons for the GUI.

* Thu Feb 13 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 2.10-0-13022003
- First try to package Hu-Go!
